from multiprocessing import Pool

def fib(n):
    return fib(n - 2) + fib(n - 1) if n > 2 else n

test_arg = 24
test_value = fib(test_arg)

pool = Pool(processes=8)
results = pool.map(fib, [test_arg] * 32)
assert all(f == test_value for f in results)
